# std::chrono::year_month::year, std::chrono::year_month::month

From cppreference.com
< cpp‎ | chrono‎ | year month

constexpr std::chrono::year year() const noexcept; | (1) | (since C++20)
constexpr std::chrono::month month() const noexcept; | (2) | (since C++20)

Retrieves the year and month values stored in this `year_month` object.

### Return value

1) Returns the stored std::chrono::year value.
2) Returns the stored std::chrono::month value.

### Example

Run this code

    #include <chrono>
    #include <iostream>

    int main()
    {
        std::cout << std::boolalpha;

        constexpr auto ym{std::chrono::year(2021)/std::chrono::July};
        std::cout << (ym.year() == std::chrono::year(2021)) << ' ';
        std::cout << (ym.month() == std::chrono::month(7)) << '\n';
    }

Output:

    true true

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year_month/accessors&oldid=160512"